' Programm zur Abgabe von Dateien fr Schler in die Testbox
' (c) T.Jarz
' 11.4.2005
Public Class Form1
    Const Testbox = "\\srv01\Testbox"
    Const Domne = "MEINESCHULE"
    Private Sub cmdAbbruch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAbbruch.Click
        Me.Close()
    End Sub

    Private Sub cmdAbgabe_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAbgabe.Click
        Dim meldung As String = "", zielv As String
        zielv = Testbox & "\" & txtKurz.Text & "\" & My.User.Name.Replace(Domne & "\", "")
        'Gibts das Lehrerverzeichnis
        Dim meinVerzeichnis As New System.IO.DirectoryInfo(zielv)
        Try
            If Not (meinVerzeichnis.Exists) Then
                meinVerzeichnis.Create()
            End If
            For Each meineDatei As Datei In lstDatei.Items
                meineDatei.MeinFileInfo.CopyTo(zielv & "\" & meineDatei.MeinFileInfo.Name)
                meldung = meldung & meineDatei.ToString
            Next
            MsgBox(meldung & Chr(13) & "Folgende Files wurden kopiert:", vbInformation, "Abgabe")
            Close()
        Catch fehler As Exception
            MsgBox("Fehler bei der Abgabe:" & vbNewLine & fehler.Message, vbCritical, "Abgabe")
        End Try
    End Sub
    Private Sub Form1_DragDrop(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles MyBase.DragDrop
        If e.Data.GetDataPresent(DataFormats.FileDrop) Then
            Dim DroppedFiles As String() = e.Data.GetData(DataFormats.FileDrop)
            For Each meinDateiName As String In DroppedFiles
                Dim meineDatei As New Datei(meinDateiName)
                lstDatei.Items.Add(meineDatei)
                allesEingetragen()
            Next
        End If
    End Sub

    Private Sub Form1_DragEnter(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles MyBase.DragEnter
        If (e.Data.GetDataPresent(DataFormats.FileDrop)) Then
            e.Effect = DragDropEffects.Copy
        Else
            e.Effect = DragDropEffects.None
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = "Abgebprogramm: " & My.User.Name
    End Sub

    Private Sub txtKurz_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtKurz.TextChanged
        allesEingetragen()
    End Sub

    Private Sub lnkLbl1_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles lnkLbl1.LinkClicked
        If OpenFileDialog1.ShowDialog = Windows.Forms.DialogResult.OK Then
            For Each meinDateiName As String In OpenFileDialog1.FileNames
                Dim meineDatei As New Datei(meinDateiName)
                lstDatei.Items.Add(meineDatei)
            Next
            allesEingetragen()
        End If
    End Sub

    Sub allesEingetragen()
        If txtKurz.Text <> "" And lstDatei.Items.Count > 0 Then
            cmdAbgabe.Enabled = True
        Else
            cmdAbgabe.Enabled = False
        End If
    End Sub
    Private Sub lstDatei_MouseMove(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles lstDatei.MouseMove
        Dim index As Integer = lstDatei.IndexFromPoint(lstDatei.PointToClient(MousePosition))
        If index > 0 Then
            ToolTip1.Show(CType(lstDatei.Items(index), Datei).MeinFileInfo.FullName, lstDatei, 2000)
        End If
    End Sub
End Class
Public Class Datei
    Public MeinFileInfo As System.IO.FileInfo
    Sub New(ByVal Dateiname)
        MeinFileInfo = New System.IO.FileInfo(Dateiname)
    End Sub
    Public Overrides Function ToString() As String
        Return MeinFileInfo.Name
    End Function
End Class

